<?php

namespace App\Classes\Modules\Currencies\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class CurrencyObject implements DataTransferObject
{
    /** @var string */
    private $name;

    /** @var string  */
    private $short_code;

    /** @var string|null  */
    private $symbol;

    /**
     * CurrencyObject constructor.
     * @param string $name
     * @param string $short_code
     * @param null|string $symbol
     */
    public function __construct(string $name, string $short_code, ?string $symbol = null)
    {
        $this->name = $name;
        $this->short_code = $short_code;
        $this->symbol = $symbol;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getShortCode(): string
    {
        return $this->short_code;
    }

    /**
     * @return null|string
     */
    public function getSymbol(): ?string
    {
        return $this->symbol;
    }




}